# Created by pyp2rpm-3.3.8
%global pypi_name rfcdl
%global pypi_version 1.2.9

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        A tool for downloading RFCs in high-speed

License:        None
URL:            None
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
<div align"center"> <h1>rfcdl</h1> <h4 align"center"> Always keep a copy of
your favorite <a href" <p>rfcdl lets you download and synchronize RCFs in high-
speed.</p> <p align"center"> <a href" alt"Build status" src" <a href"
alt"Development status" src" <a href" alt"License" src"

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       (python3dist(aiofiles) >= 0.7 with python3dist(aiofiles) < 0.8~~)
Requires:       (python3dist(aiohttp) >= 3 with python3dist(aiohttp) < 4~~)
Requires:       (python3dist(requests) >= 2 with python3dist(requests) < 3~~)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
<div align"center"> <h1>rfcdl</h1> <h4 align"center"> Always keep a copy of
your favorite <a href" <p>rfcdl lets you download and synchronize RCFs in high-
speed.</p> <p align"center"> <a href" alt"Build status" src" <a href"
alt"Development status" src" <a href" alt"License" src"


%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/rfcdl
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Jul 12 2022 mockbuilder - 1.2.9-1
- Initial package.